ramp {xcms} | R Documentation

## High-performance, low-level access to mzXML/mzData files

### Description

Functions for low-level access to data in mzXML/mzData files. They have been optimized for maximum speed and memory efficiency.

### Usage

    rampInit()
    rampPrintFiles()
    rampIsFile(filename)
    rampOpen(filename)
    rampClose(rampid)
    rampCloseAll()
    rampNumScans(rampid)
    rampScanHeaders(rampid)
    rampSIPeaks(rampid, seqNum, peaksCount)
    rampRawData(rampid)

### Arguments

`filename` | path to mxXML/mzData file
`rampid` | RAMP file ID
`seqNum` | integer vector with indecies of scans to read
`peaksCount` | integer vector with number of peaks in each scan to read

### Details

The mechanisms and structure of mzXML/mzData files are not discussed here, please see the mzXML/mzData documentation for more information. These functions make use of the RAMP (Random Access Minimal Parser) code from the SASHIMI open-source project.

`rampInit` initializes the data structures used for holding RAMP file pointers and indices.

`rampPrintFiles` prints out a list of all files currently open.

`rampCloseAll` closes all mzXML/mzData files and frees memory associated with their indices.

### Value

`rampIsFile` returns `TRUE` if the referenced file is an mzXML or mzData file and `FALSE` otherwise.
`rampOpen` returns the `rampid` of the opened file.
`rampClose` returns the closing status.
`rampNumScans` returns the number of scans with an msLevel of 1.
`rampSIPeaks` returns a named list with components `scanindex`, `mz`, and `intensity`.
`rampScanHeaders` returns a data frame with header information for each scan.
`rampRawData` returns a named list with components `rt`, `tic`, `scanindex`, `mz`, and `intensity`.
An error in any of the functions will return a (negative) integer error code.

### Author(s)

Colin A. Smith, csmith@scripps.edu

### References

mzXML file format: http://sashimi.sourceforge.net/software_glossolalia.html

mzData file format: http://psidev.sourceforge.net/ms/index.html

[Package xcms version 1.16.3 Index]